import crafttweaker.event.PlayerAdvancementEvent;
import crafttweaker.item.IItemStack;

recipes.remove(<titles:titlearchive>);
mods.jei.JEI.hide(<titles:titlearchive>);

var patrons = [
    "shadowake",
    "kml5268",
    "tykora",
    "CaddyWhumpus",
    "Deskrym",
    "Jabrute",
    "Kmartinator",
    "Mar3xgg",
    "SirChocobo",
    "aersah",
    "Tianyulong",
    "UnlikeLiam",
    "Lubuil",
    "hyperloony",
    "sjasogun",
    "kd8lvt",
    "_KaiserDan",
    "DoomDwarf_347",
    "Zraaneth",
    "MaxDoomie",
    "camo186",
    "fairyluna50",
    "ravenxharuno",
    "Saintish",
    "Avine93",
    "Divine_Fenrir",
    "HeadShotConnor",
    "Anomander084",
    "Pewnz",
    "HypnoticHarry",
    "MrMIB7",
    "_dju",
    "BWGreens",
    "TwilightPSN",
    "Patty99",
    "redsdracomancer",
    "PulsefireEzreaI",
    "mrxtoz",
    "CleanedFoal",
    "Little_Ringo",
    "Pawned1337",
    "DragonMirage",
    "AlanSwarley",
    "space77",
    "dubuvourer",
    "Mighty__Beard",
    "Lilacori",
    "JC747",
    "yainori",
    "DeltaDrGon",
    "Boergeiam",
    "lawfulrocky",
    "VSDeviluke",
    "jesusloler",
    "Mietzchen",
    "f0xx3r_",
    "metzen227",
    "metzen227",
    "Killer_Agent",
    "FusionInferno1",
    "Narkah",
    "DeadlyBytes",
    "PulsefireEzreal",
    "chewey104",
    "Mattheon",
    "arsdragonfly",
    "Absolute_Phoenix",
    "lovtoplay",
    "UtenteSegreto",
    "sumdumbguy",
    "DUFFY1",
    "TheCaneOfTophat",
    "mazimus",
    "xJonko",
    "zeeebo30",
    "Alivda",
    "MangAGEM",
    "Maakris",
    "IhadPotential"
] as string[];

var patronItems = [
    <lootbags:itemlootbag:6> * 1,
    <randomthings:weatheregg:0> * 3,
    <randomthings:weatheregg:1> * 3,
    <stupidthings:paper_bag_hat>,
    <stupidthings:rubber_chicken>,
    <stupidthings:target_chestplate>,
    <stupidthings:upside_down_goggles>,
	<harvestcraft:epicbltitem> * 8,
	<joshxmas:present_chest_purple>
] as IItemStack[];

var titles = [
    "titles:Awakened",
    "titles:DiamondGal",
    "titles:DiamondGeezer",
    "titles:EarlyAccess",
    "titles:HighSociety",
    "titles:Patron",
    "titles:Rewarded",
    "titles:ShadowLover",
    "titles:Supporter"
] as string[];

events.onPlayerAdvancement(function(event as PlayerAdvancementEvent) {
    if (event.id == "minecraft:story/mine_diamond" && patrons has event.player.name) {
        for patronItem in patronItems {
            event.player.give(patronItem);
        }
        for title in titles {
            server.commandManager.executeCommand(server,"titles add " ~ event.player.name ~ " " ~ title);
        }
    }
});