<cyclicmagic:tool_harvest_leaves:*>.addTooltip(format.green("Right click to use."));
<flying_things:enchanted_broom:*>.addTooltip(format.green("Travels in the direction you look."));
<flying_things:magic_carpet:*>.addTooltip(format.green("Travels in the direction you look."));
<morefurnaces:furnaceblock:4>.addTooltip(format.red("Set fire to top to activate."));
<morefurnaces:furnaceblock:4>.addTooltip(format.red("Slow but requires no fuel."));
<morefurnaces:upgrade:1>.addTooltip(format.red("Set fire to top to activate."));
<morefurnaces:upgrade:1>.addTooltip(format.red("Slow but requires no fuel."));
<projectex:final_star>.addTooltip(format.green("Can dupe any item."));
<exnihilocreatio:block_auto_sifter>.addTooltip(format.green("Note: Animation is disabled to avoid lag."));

//Ender Wing Warning
<cyclicmagic:tool_warp_home>.addTooltip(format.red("WARNING: Will TP to WORLD spawn not your island!"));
<cyclicmagic:tool_warp_spawn>.addTooltip(format.red("WARNING: Will TP to WORLD spawn not your island!"));

//Hammer Fix
mods.exnihilocreatio.Hammer.addRecipe(<minecraft:stone:0>, <minecraft:cobblestone>, 1, 1.0, 0.0);

//FBNC Basic Plating Fix
recipes.remove(<fbnc:shield_basic>);
recipes.addShaped(<fbnc:shield_basic>, [[<ore:ingotSilver>, <minecraft:heavy_weighted_pressure_plate>, <ore:ingotSilver>], [<minecraft:heavy_weighted_pressure_plate>, <ore:ingotLead>, <minecraft:heavy_weighted_pressure_plate>], [<ore:ingotSilver>, <minecraft:heavy_weighted_pressure_plate>, <ore:ingotSilver>]]);

//FBNC Graphite Infused Lapis Fix
recipes.remove(<fbnc:lapis_infused>);
recipes.addShaped(<fbnc:lapis_infused>, [[<ore:dustGraphite>, <ore:dustGraphite>, <ore:dustGraphite>], [<ore:dustGraphite>, <ore:gemLapis>, <ore:dustGraphite>], [<ore:dustGraphite>, <ore:dustGraphite>, <ore:dustGraphite>]]);

//Fix arrow of ascention recipe
recipes.addShapeless(<naturalpledge:seal_arrow>, [<botania:manaresource:13>, <botania:rune:3>]);

//Draconic recipes showing secondary recipes that don't work
recipes.removeShapeless(<draconicevolution:grinder>, [<draconicevolution:crafting_injector>]);
recipes.removeShapeless(<draconicevolution:grinder>, [<draconicevolution:generator>]);
recipes.removeShapeless(<draconicevolution:grinder>, [<draconicevolution:energy_infuser>]);

//Remove duplicate small coals and fix some ore dict issues
recipes.remove(<excompressum:uncompressed_coal>);
mods.jei.JEI.hide(<excompressum:uncompressed_coal>);
recipes.remove(<inventorypets:nugget_coal>);
mods.jei.JEI.hide(<inventorypets:nugget_coal>);
recipes.remove(<jaopca:item_nuggetcoal>);
mods.jei.JEI.hide(<jaopca:item_nuggetcoal>);
<ore:nuggetCoal>.add(<actuallyadditions:item_misc:10>);

//Fix satchel quest detection issues
<ore:satchel1>.add(<thermalexpansion:satchel>);
<ore:satchel2>.add(<thermalexpansion:satchel:1>);
<ore:satchel3>.add(<thermalexpansion:satchel:2>);
<ore:satchel4>.add(<thermalexpansion:satchel:3>);
<ore:satchel5>.add(<thermalexpansion:satchel:4>);
<ore:satchel6>.add(<thermalexpansion:satchel:100>);

//Fix sound muffler conflict
recipes.remove(<supersoundmuffler:sound_muffler>);
recipes.addShapedMirrored(<supersoundmuffler:sound_muffler>, [[<ore:wool>, null, <ore:wool>],	[null, <minecraft:noteblock>, null], [<ore:wool>, null, <ore:wool>]]);

//Fix scaffolding conflict
recipes.remove(<randomthings:blockofsticks>);
recipes.addShapedMirrored(<randomthings:blockofsticks>, [[<ore:stickWood>, <ore:stickWood>, <ore:stickWood>], [<ore:stickWood>, <ore:stickWood>, <ore:stickWood>], [<ore:stickWood>, <ore:stickWood>, <ore:stickWood>]]);

//Fix advanced pressure valve missing recipe
recipes.remove(<advgenerators:advanced_pressure_valve>);
recipes.addShapedMirrored(<advgenerators:advanced_pressure_valve> * 2, [[<avaritia:resource>, null, <avaritia:resource>], [null, <advgenerators:pressure_valve>, null], [<avaritia:resource>, null, <avaritia:resource>]]);

//Fix alchemy table missing recipe
recipes.remove(<projectex:alchemy_table>);
recipes.addShapedMirrored(<projectex:alchemy_table>, [[<ore:torch>, null, <ore:torch>], [<ore:fenceWood>, <equivalentintegrations:transmutation_chamber>, <ore:fenceWood>], [<ore:fenceWood>, null, <ore:fenceWood>]]);

//Fix recipe conflict with tyrion blocks
recipes.remove(<chisel:tyrian>);
recipes.addShapedMirrored(<chisel:tyrian> * 32, [[<ore:nuggetIron>, <ore:stone>, <ore:nuggetIron>], [<ore:nuggetIron>, <ore:stone>, <ore:nuggetIron>], [<ore:nuggetIron>, <ore:stone>, <ore:nuggetIron>]]);

//Fix lithium dust not smelting in EIO alloy smelter.
furnace.addRecipe(<nuclearcraft:ingot:6>, <mekanism:otherdust:4>);

//Remove diamond nugget from translocators
recipes.remove(<translocators:diamond_nugget>);
mods.jei.JEI.hide(<translocators:diamond_nugget>);

//Fix sapling burn time
<ore:treeSapling>.add(<harvestcraft:walnut_sapling>);
<ore:treeSapling>.add(<candymod:cotton_candy_sapling_block>);
<ore:treeSapling>.add(<candymod:chocolate_sapling_block>);
<ore:treeSapling>.add(<midnight:dark_willow_sapling>);
<ore:treeSapling>.add(<midnight:shadowroot_sapling>);
<ore:treeSapling>.add(<luckybeans:bean_sapling>);
<ore:treeSapling>.add(<natura:nether_sapling2>);
<ore:treeSapling>.add(<harvestcraft:spiderweb_sapling>);
<ore:treeSapling>.add(<harvestcraft:avocado_sapling>);
<ore:treeSapling>.add(<totemic:cedar_sapling>);
furnace.setFuel(<totemic:cedar_sapling>, 100);
furnace.setFuel(<ore:treeSapling>, 100);

//Remove string from ore dict cropFlax to fix crafting bug
<ore:cropFlax>.remove(<minecraft:string>);

//Remove yellorium from uranium to fix issues
<ore:ingotUranium>.remove(<bigreactors:ingotyellorium>);
<ore:oreUranium>.remove(<exnihilocreatio:item_ore_yellorium:1>);
<ore:pieceUranium>.remove(<exnihilocreatio:item_ore_yellorium>);
<ore:dustUranium>.remove(<bigreactors:dustyellorium>);

mods.jei.JEI.hide(<avaritia:singularity:12>);

recipes.addShapeless(<projectex:arcane_tablet>, [<projecte:item.pe_transmutation_tablet>, <fancylamps:arcane_gem:1>, <botania:blacklotus>, <extrautils2:opinium:8>]);

recipes.remove(<cookingforblockheads:spice_rack>);
recipes.addShapeless(<cookingforblockheads:spice_rack>, [<ore:slabWood>, <minecraft:bowl>]);

//Fix slimey generator
recipes.remove(<extrautils2:machine>.withTag({Type: "extrautils2:generator_slime"}));
recipes.addShapedMirrored(<extrautils2:machine>.withTag({Type: "extrautils2:generator_slime"}), [[<ore:slimeballGreen>, <ore:slimeballGreen>, <ore:slimeballGreen>], [<ore:slimeballGreen>, null, <ore:slimeballGreen>], [<ore:dustRedstone>, <extrautils2:machine>.withTag({Type: "extrautils2:generator"}), <ore:dustRedstone>]]);

//Remove some duplicated items
recipes.remove(<jaopca:item_mysticalseedsquartzblack>);
mods.jei.JEI.hide(<jaopca:item_mysticalseedsquartzblack>);

//Fix duplicate sugarcane 9x9 recipe
recipes.remove(<quark:reed_block>);
recipes.removeShapeless(<minecraft:reeds> * 9, [<quark:reed_block>]);
recipes.addShapedMirrored(<quark:reed_block>, [[<minecraft:reeds>, <minecraft:reeds>, <minecraft:reeds>], [<minecraft:reeds>, <ore:stickWood>, <minecraft:reeds>], [<minecraft:reeds>, <minecraft:reeds>, <minecraft:reeds>]]);

//Make a stone workbench
recipes.remove(<cyclicmagic:block_workbench>);
recipes.addShapedMirrored(<cyclicmagic:block_workbench>, [[<ore:cobblestone>, <ore:cobblestone>], [<ore:cobblestone>, <ore:cobblestone>]]);

//Change far too easy chance globe recipe
recipes.remove(<chanceglobe:chance_globe>);
recipes.addShapedMirrored(<chanceglobe:chance_globe> * 3, [[<actuallyadditions:block_greenhouse_glass>, <actuallyadditions:block_greenhouse_glass>, <actuallyadditions:block_greenhouse_glass>], [<ore:blockDiamond>, <hatchery:prize_egg>, <ore:blockEmerald>], [<ore:plankWood>, <mekanism:plasticblock:1>, <ore:plankWood>]]);

recipes.removeShapeless(<minecraft:paper> * 2, [<ore:dustWood>, <ore:dustWood>, <ore:dustWood>, <ore:dustWood>, <ore:listAllwater>]);
recipes.removeShapeless(<botanicadds:mana_tesseract>, [<botanicadds:mana_tesseract>, <*>]);
furnace.addRecipe(<mysticalagriculture:stone_essence>, <exnihilocreatio:item_pebble>);
recipes.addShapedMirrored(<mysticalagriculture:stone_essence>, [[<exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>], [<exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>], [<exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>, <exnihilocreatio:item_pebble>]]);
recipes.addShapedMirrored(<mysticalagriculture:dirt_essence>, [[<mysticalagriculture:stone_essence>, <mysticalagriculture:water_essence>], [<mysticalagriculture:water_essence>, <mysticalagriculture:stone_essence>]]);

recipes.remove(<projecte:alchemical_chest>);
recipes.addShapedMirrored(<projecte:alchemical_chest>, [[<projecte:item.pe_covalence_dust>, <projecte:item.pe_covalence_dust:1>, <projecte:item.pe_covalence_dust:2>], [<midnight:nagrilite_ingot>, <projecte:item.pe_philosophers_stone>, <midnight:nagrilite_ingot>], [<ore:ingotTough>, <ore:shulkerBox>, <ore:ingotTough>]]);
recipes.remove(<projecte:item.pe_philosophers_stone>);
recipes.addShapedMirrored(<projecte:item.pe_philosophers_stone>, [[<thermalfoundation:material:1024>, <mysticalagriculture:fire_essence>, <thermalfoundation:material:1024>], [<botania:manaresource:5>, <industrialforegoing:pink_slime>, <botania:manaresource:5>], [<thermalfoundation:material:1024>, <minecraft:dragon_breath>, <thermalfoundation:material:1024>]]);
recipes.remove(<projecte:condenser_mk1>);
recipes.addShapedMirrored(<projecte:condenser_mk1>, [[<tp:reinforced_obsidian_ingot>, <buildinggadgets:copypastetool>, <tp:reinforced_obsidian_ingot>], [<bigreactors:ingotcyanite>, <projecte:alchemical_chest>, <bigreactors:ingotcyanite>], [<tp:reinforced_obsidian_ingot>, <industrialforegoing:mob_duplicator>, <tp:reinforced_obsidian_ingot>]]);
recipes.remove(<projecte:transmutation_table>);
recipes.addShapedMirrored(<projecte:transmutation_table>, [[<tp:reinforced_obsidian_ingot>, <projecte:condenser_mk2>, <tp:reinforced_obsidian_ingot>], [<avaritia:resource:4>, <projecte:item.pe_philosophers_stone>, <avaritia:resource:4>], [<tp:reinforced_obsidian_ingot>, <projecte:condenser_mk2>, <tp:reinforced_obsidian_ingot>]]);
recipes.remove(<roost:collector>);
recipes.addShapedMirrored(<roost:collector>, [[<ore:plankWood>, <minecraft:egg>, <ore:plankWood>], [<ore:plankWood>, <tconstruct:wooden_hopper>, <ore:plankWood>], [<ore:plankWood>, <ore:chest>, <ore:plankWood>]]);
recipes.remove(<luckybeans:bean_sapling>);
recipes.addShapeless(<luckybeans:bean_sapling> * 4, [<ore:treeSapling>, <randomthings:beans:2>]);
recipes.remove(<randomthings:beans:2>);
recipes.addShapeless(<randomthings:beans:2>, [<randomthings:beans:1>, <ore:dustEmerald>]);
recipes.remove(<bountifulbaubles:ringiron>);
recipes.addShapedMirrored(<bountifulbaubles:ringiron>, [[null, <ore:ingotIron>, null], [<ore:ingotIron>, <enderio:item_material:11>, <ore:ingotIron>], [null, <ore:ingotIron>, null]]);
recipes.remove(<advgenerators:iron_frame>);
recipes.addShapedMirrored(<advgenerators:iron_frame> * 2, [[<ore:stickIron>, <ore:stickIron>, <ore:stickIron>], [<ore:stickIron>, null, <ore:stickIron>], [<ore:stickIron>, <ore:stickIron>, <ore:stickIron>]]);
recipes.remove(<chiselsandbits:wrench_wood>);
recipes.addShapedMirrored(<chiselsandbits:wrench_wood>, [[null, <ore:stickWood>, null], [null, <ore:stickWood>, <ore:stickWood>], [<ore:stickWood>, null, null]]);
recipes.remove(<immersivepetroleum:schematic>);
recipes.addShapedMirrored(<immersivepetroleum:schematic>, [[<ore:blockGlassColorless>, null, null], [<ore:ingotIron>, <fancylamps:lantern_torch>, null], [null, <ore:ingotIron>, <ore:plankWood>]]);
recipes.addShapedMirrored(<immersivepetroleum:schematic>, [[<ore:blockGlassColorless>, null, null], [<ore:nuggetIron>, <fancylamps:lantern_torch>, null], [null, <ore:nuggetIron>, <ore:plankTreatedWood>]]);
